Basic disk usage analyzer

Include a command to show disk usage and file tree, ordered by size (default) or name. It is possible to filter files by "end with".

Include a command to find duplicate files.
# Examples
show ~ disk usage
```
$ cargo run -- usage ~
```
show pdf files in ~/Downloads , ordered by name
```
$ cargo run -- usage ~/Downloads --sort name --filter ".pdf"
```
same command but with short options
```
$ cargo run -- usage ~/Downloads -s name -f ".pdf"
```
show duplicates in /tmp
```
$ cargo run -- duplicates /tmp
```
show duplicates in /tmp and check for collision
```
$ cargo run -- duplicates /tmp --check
```
same command but with short option
```
$ cargo run -- duplicates /tmp -c
```
for both duplicates and usage, to show directories not processed because of missing read permission
```
$ cargo run -- duplicates ~ --access-denied
$ cargo run -- usage ~ --access-denied
```
same with short option
```
$ cargo run -- duplicates ~ -a
$ cargo run -- usage ~ -a
```
